#!/bin/bash
#
# File to actually install the software
# copy main prog
#
# Based on work by Kai Lahmann <kl@3dots.de>

# Konstanten
NVIDIA_FILES="flashplayer.xpt libflashplayer.so"
NVIDIA_DIR="install_flash_player_6_linux"
NVIDIA_INST_PATH="$HOME/.netscape/plugins/ $HOME/.mozilla/plugins/"

cd $NVIDIA_DIR
for i in $NVIDIA_INST_PATH
do
  mkdir -p $i
  cp $NVIDIA_FILES $i
done

# scan for new plugins
# TODO: Need to communicate with gui!
update_status $"Scanning for new plugins..." 10
nspluginscan
# Finished!
