#!/bin/bash
#
# File to actually install the software
# copy main prog
#
# Based on work by Kai Lahmann <kl@3dots.de>

cd nforce/nvnet

# we need to patch the Makefile to compile with knoppix kernel
mv Makefile Makefile.knx
sed 's/-falign-functions=4//g' Makefile.knx > Makefile

#set right GCC!
export CC=/usr/bin/gcc-2.95
make

mkdir -p $DESTDIR/lib/modules/`uname -r`/net
sudo cp -a nvnet.o $DESTDIR/lib/modules/`uname -r`/net

sudo chown -R root.root $DESTDIR/lib/modules/`uname -r`/*

sudo insmod nvnet.o

# Try to make a program for nvnet-autoloading with saved config

echo "insmod $DESTDIR/lib/modules/`uname -r`/net/nvnet.o" > nvnet.sh
sudo cp nvnet.sh /etc/init.d/nvnet
sudo cp nvnet.sh /etc/rcS.d/S01nvnet

# Finished!
